%define upstream_name    Class-Declare-Attributes
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:	Class-Declare-Attributes module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/I/IB/IBB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-Class-Declare
BuildRequires:  perl-Test-Exception

BuildArch:	noarch


%description
Class::Declare::Attributes extends Class::Declare by adding support for
Perl attributes for specifying class method types. This extension was
inspired by Damian Conway's Attribute::Handlers module, and Tatsuhiko
Miyagawa's Attribute::Protected module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Class/Declare/Attributes.pm
%{_mandir}/*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.90.0-3.mga6
+ Revision: 1023960
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.90.0-2.mga6
+ Revision: 971307
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.90.0-1.mga6
+ Revision: 891249
- update to 0.09

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-5.mga5
+ Revision: 746248
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-4.mga5
+ Revision: 683908
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.80.0-3.mga4
+ Revision: 510111
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 364345
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 29892
- mageia rebuild
- imported package perl-Class-Declare-Attributes


* Tue Oct 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.80.0-1mdv2011.0
+ Revision: 586762
- update to new version 0.08

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.70.0-1mdv2010.0
+ Revision: 405827
- rebuild using %%perl_convert_version

* Fri Jul 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2009.0
+ Revision: 238032
- update to new version 0.07

* Sat Jun 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2009.0
+ Revision: 216579
- update to new version 0.06

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jul 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2008.0
+ Revision: 47627
- update to new version 0.04


* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.03-2mdk
- Buildrequires

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.03-1mdk
- initial Mandriva package

